
#include <Gosu/Gosu.hpp>
#include "Obstaculo.h"
#include <iostream>

Obstaculo::Obstaculo(Gosu::Graphics& graphics, int posX, int posY, int width, int height) : posX_(posX) , posY_(posY) , width_(width) , height_(height) {}


Obstaculo::~Obstaculo()
{
   delete img_;
}
      
      
int Obstaculo::posX()
{
   return posX_;
}

int Obstaculo::posY()
{
   return posY_;
}

int Obstaculo::width()
{
   return width_;
}
 
int Obstaculo::height()
{ 
   return height_;
}

void Obstaculo::draw(int x, int y, int z)
{
	img_->draw(x,y,z);
}

Basura::Basura(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 95, 180)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/1/cubo.png");
}

Caja::Caja(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 80, 65)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/1/caja.png");
}

Arbol::Arbol(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 130, 275)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/1/arbol.png");
}

Banco::Banco(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 125, 80)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/1/banco.png");
}

Farola::Farola(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 85, 300)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/1/farola.png");
}






Encimera::Encimera(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 365, 140)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/2/encimera.png");
}

Taburete::Taburete(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 75, 70)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/2/taburete.png");
}

Mesa::Mesa(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 285, 135)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/2/mesa_salon.png");
}

Estanteria::Estanteria(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 180, 30)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/2/estanteria_cocina.png");
}

Sofa::Sofa(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 250, 120)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/2/sofa.png");
}

Lampara::Lampara(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 100, 250)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/2/lampara.png");
}